summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Cezary M. Kruk2014-11-28 18:55:28 +0100
committer Willy Sudiarto Raharjo2014-11-28 18:55:28 +0100
commit6213373b8615c23d21bb9db5e3a218e2cb726680 (patch)
treec8a38141d48bfa42b2a49bdf01c07936b679670c
parent9ca359a16d7ef412f2e10fa1c6fae4a6b77a4b55 (diff)
downloadslackbuilds-6213373b8615c23d21bb9db5e3a218e2cb726680.tar.gz
desktop/wmSunMoon: Added (WM dockable app).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/wmSunMoon/README11
-rw-r--r--desktop/wmSunMoon/slack-desc19
-rw-r--r--desktop/wmSunMoon/wmSunMoon.SlackBuild78
-rw-r--r--desktop/wmSunMoon/wmSunMoon.info10
4 files changed, 118 insertions, 0 deletions
diff --git a/desktop/wmSunMoon/README b/desktop/wmSunMoon/README
new file mode 100644
index 0000000000..40e05da4b2
--- /dev/null
+++ b/desktop/wmSunMoon/README
@@ -0,0 +1,11 @@
+wmSunMoon is Window Maker Sun, Moon, and time dockable application
+
+wmSunMoon displays Sun and Moon rise and set times as well as
+the Moon phase. It may also display the time and the percentage
+of the lunar cycle. If both time and percentage switches are used
+the program cycles them in the Moon view. If both time difference
+and time switches are used the program displays the time for the
+selected time zone.
+
+Enter the valid latitude and longitude in order to display the valid
+data.
diff --git a/desktop/wmSunMoon/slack-desc b/desktop/wmSunMoon/slack-desc
new file mode 100644
index 0000000000..354224cc46
--- /dev/null
+++ b/desktop/wmSunMoon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmSunMoon: wmSunMoon (Window Maker Sun, Moon, and time dockable application)
+wmSunMoon:
+wmSunMoon: wmSunMoon displays Sun and Moon rise and set times as well as
+wmSunMoon: the Moon phase. It may also display the time and the percentage
+wmSunMoon: of the lunar cycle. If both time and percentage switches are used
+wmSunMoon: the program cycles them in the Moon view. If both time difference
+wmSunMoon: and time switches are used the program displays the time for the
+wmSunMoon: selected time zone.
+wmSunMoon:
+wmSunMoon: Enter the valid latitude and longitude in order to display the valid
+wmSunMoon: data.
diff --git a/desktop/wmSunMoon/wmSunMoon.SlackBuild b/desktop/wmSunMoon/wmSunMoon.SlackBuild
new file mode 100644
index 0000000000..08e014acd5
--- /dev/null
+++ b/desktop/wmSunMoon/wmSunMoon.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for wmSunMoon
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmSunMoon
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd wmSunMoon
+ mkdir -p $PKG/usr/{bin,man/man1}
+ make \
+ COPTS="$SLKCFLAGS" \
+ INCDIR="-I/usr/include/X11" \
+ LIBDIR="-L/usr/lib${LIBDIRSUFFIX}/X11"
+ make install DESTDIR=$PKG/usr
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmSunMoon/wmSunMoon.info b/desktop/wmSunMoon/wmSunMoon.info
new file mode 100644
index 0000000000..e0de83502a
--- /dev/null
+++ b/desktop/wmSunMoon/wmSunMoon.info
@@ -0,0 +1,10 @@
+PRGNAM="wmSunMoon"
+VERSION="1.0.0"
+HOMEPAGE="http://linux-bsd-unix.strefa.pl/"
+DOWNLOAD="http://linux-bsd-unix.strefa.pl/wmSunMoon-1.0.0.tar.gz"
+MD5SUM="c819ee7f67c10665bfc5bc609cddc372"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"